
ChiliProject - Bug # 227: Roadmap displays issue counts for issues that are not visible to the current 
user

Status: Open Priority: Normal
Author: Holger Just Category: Permissions
Created: 2011-02-26 Assignee:
Updated: 2011-02-28 Due date:
Remote issue URL:
Affected version:
Description: If a version is shared and has issues attached that are not visible to the current user, these still are counted 

into the overall issue counts of the version, visible to everybody.

History
2011-02-26 10:00 am - Derek Montgomery
- File cp.PNG added

Attached screenshot of the mentionned behavior.

2011-02-26 10:02 am - Ian Freeman
As per the irc discussion, I prefer this behavior over completely hiding the hidden issues from the progress bar/counts. Perhaps the thing to do (I think 
deurk suggested it) is to list a new count that is not linkable to the issues page "Hidden issues: 1".

2011-02-26 10:04 am - Derek Montgomery
+1

2011-02-26 08:01 pm - Eric Davis
- Subject changed from Roadmap displays issue counts for issues that are not visible to Roadmap displays issue counts for issues that are not visible to 
the current user

I think it should say:

<pre>
* #124 - Restricted issue
</pre>

There is no risk in showing the issue number, in fact it might help people ask "what is 124 about?". I'm not sure which phrase is best though:

* restricted issue - implies restricted by permissions
* hidden issue - implies that the issue is in the current project
* private issue - implies the private issue feature

Thoughts?

2011-02-28 06:45 am - Ian Freeman
The verbiage seems trivial, those terms are all interchangeable on this issue for me. What harm is there in revealing that there are private issues 
present?

Files
cp.PNG 62.7 kB 2011-02-26 Derek Montgomery
